import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        for (int t = nextInt(); t > 0; t--) {
            int n = nextInt();
            int a = nextInt();
            int b = nextInt();
            int r = (a + b) / n;
            int ans = 0;
            for (int i = 1; i <= r; i++) {
                for (int j = 0; j <= a; j++) {
                    if (j > n * i){
                        break;
                    }
                    if (n * i - j <= b){
                        ans ++;
                    }
                }
            }
            out.println(ans);
        }
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}