import java.util.*;
import java.io.*;
public class Main {

    static long nod(long[] a){
        long b = a[0];
        for (int i = 1; i < a.length; i++) {
            long c = Math.min(a[i] , b);
            long d = Math.max(b, a[i]);
            if (c != 1) {
                while (d % c != 0) {
                    d %= c;
                    long t = d;
                    d = Math.max(d, c);
                    c = Math.min(c, t);
                }
            }
            b = c;
        }
        return b;
    }
    static long nok(long[] a){
        long b = a[0];
        for (int i = 1; i < a.length; i++) {
            long c = a[i];
            long max = Math.max(b , c);
            for (long j = max; j < 1e7; j+=max) {
                if (j % b == 0 && j % c == 0){
                    b = j;
                    break;
                }
            }
        }
        return b;
    }

    static long h(long n , long n1){
        long h = 1;
        for (int i = 2; i <= Math.min(n , n1); i++) {
            if (n % i == 0 && n1 % i == 0){
                h *= i;
            }
        }
        return h;
    }

    public static void main(String[] args) throws IOException{
        int n = nextInt();
        long[] a = new long[n];
        long[] b = new long[n];
        for (int i = 0; i < n; i++) {
            a[i] = nextLong();
            b[i] = nextLong();
            if (h(a[i] , b[i]) > 1){
                long h = h(a[i] , b[i]);
                a[i] /= h;
                b[i] /= h;
            }
        }
        if (n == 1){
            System.out.println(a[0] +" " + b[0]);
            return;
        }
        long t = nok(a);
        long t1 = nod(b);
        if (h(t , t1) > 1){
            long h = h(t, t1);
            t /= h;
            t1 /= h;
        }
        System.out.println(t +" "+ t1);
    }
    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}