import java.io.*;
import java.util.*;

public class Main {

    static long nod(long a , long b){
        long d = b;
        while (a % d != 0){
            long i = a;
            a = d;
            d = i % d;
        }
        b = d;
        return b;
    }

    static long nok(int[] a){
        long b = a[0];
        for (int i = 1; i < a.length; i++) {
            b = b * a[i] / nod(b , a[i]);
        }
        return b;
    }

    public static void main(String[] args) throws IOException {
        int n = nextInt();
        int q = nextInt();
        int[] a = new int[n];
        int[] b = new int[n];
        for (int i = 0; i < n; i++) {
            a[i] = nextInt();
        }
        for (int i = 0; i < n; i++) {
            b[i] = nextInt();
        }
        long nok = nok(b);
        int y = 0;
        long[][] ab = new long[n * n][2];
        for (int i = 0; i < n; i++) {
            for (int j = 0; j < n; j++) {
                ab[y][0] = a[i];
                ab[y][1] = b[j];
                y ++;
            }
        }
        for (int i = 0; i < n * n; i++) {
            ab[i][0] = ab[i][0] * (nok / ab[i][1]);
            ab[i][1] = nok;
        }
        for (int i = 0; i < n * n; i++) {
            for (int j = i + 1; j < n * n; j++) {
                if (ab[i][0] > ab[j][0]){
                    long t = ab[i][0];
                    long t1 = ab[i][1];
                    ab[i][0] = ab[j][0];
                    ab[i][1] = ab[j][1];
                    ab[j][0] = t;
                    ab[j][1] = t1;
                }
            }
        }
        for (int i = 0; i < n * n; i++) {
            long nod = nod(ab[i][0] , ab[i][1]);
            ab[i][0] /= nod;
            ab[i][1] /= nod;
        }
        for (int i = 0; i < q; i++) {
            int q1 = nextInt();
            out.println(ab[q1 - 1][0] +" "+ ab[q1 - 1][1]);
        }
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}